//------------------------------------------------------------------------------
// <auto-generated>
//    Este código se generó a partir de una plantilla.
//
//    Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//    Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Conector
{
    using System;
    using System.Collections.Generic;
    
    public partial class TAREA
    {
        public TAREA()
        {
            this.HISTORICO_TAREA = new HashSet<HISTORICO_TAREA>();
            this.LISTA = new HashSet<LISTA>();
            this.TAREA1 = new HashSet<TAREA>();
        }
    
        public decimal ID_TAREA { get; set; }
        public string DESCRIPCION { get; set; }
        public string OBSERVACIONES { get; set; }
        public Nullable<System.DateTime> INICIO { get; set; }
        public Nullable<System.DateTime> TERMINO { get; set; }
        public decimal NIVEL { get; set; }
        public decimal USUARIO_ID { get; set; }
        public decimal PROCESO_ID { get; set; }
        public Nullable<System.DateTime> INICIOREGISTRADO { get; set; }
        public Nullable<System.DateTime> TERMINOREGISTRADO { get; set; }
        public decimal ESTADOTAREA_ID { get; set; }
        public Nullable<decimal> TAREAMADRE { get; set; }
    
        public virtual ESTADO_TAREA ESTADO_TAREA { get; set; }
        public virtual ICollection<HISTORICO_TAREA> HISTORICO_TAREA { get; set; }
        public virtual ICollection<LISTA> LISTA { get; set; }
        public virtual PROCESO PROCESO { get; set; }
        public virtual ICollection<TAREA> TAREA1 { get; set; }
        public virtual TAREA TAREA2 { get; set; }
        public virtual USUARIO USUARIO { get; set; }
    }
}
